import components from './components'
import { App } from 'vue'

// Export components for individual import
export * from './components/index'

export * from './theme/customTheme';
export * from './theme/defaultTheme';

const createPlugin = () => {
    const install = async (app: App, options: any) => {
      app.provide('themeConfig', options.theme)
    }
    return { install }
}

const createGlobalPlugin = (components: any) => {
  const install = async (app: App, options: any) => {
    if (!options.modular) { 
      components.forEach((c: any) => app.use(c));
    }

    app.provide('themeConfig', options.theme)
  }
  return { install }
}

// Export plugin installation method for global install
export default createGlobalPlugin([...components])
export const unlockedModular = createPlugin()


